use super::{super::problem::*, problems::*};

use thin_vec::*;

impl IntoIterator for Problems {
    type Item = Problem;
    type IntoIter = IntoIter<Problem>;

    fn into_iter(self) -> Self::IntoIter {
        self.problems.into_iter()
    }
}
